org.apache.ignite.mxbean

## Interface SnapshotMXBean

-     @MXBeanDescription(value="MBean that provides access for snapshot features.")
      public interface SnapshotMXBean

  Snapshot features MBean.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelSnapshot(String snpName)` Cancel previously started snapshot operation on the node initiator.
    `void` | `cancelSnapshotRestore(String name)` Cancel previously started snapshot restore operation.
    `void` | `createSnapshot(String snpName)` Create the cluster-wide snapshot with given name asynchronously.
    `void` | `restoreSnapshot(String name, String cacheGroupNames)` Restore cluster-wide snapshot.

- - ### Method Detail

    - #### createSnapshot

          @MXBeanDescription(value="Create cluster-wide snapshot.")
          void createSnapshot(@MXBeanParameter(name="snpName",description="Snapshot name.")
                                                                                        String snpName)

      Create the cluster-wide snapshot with given name asynchronously.
      Parameters:
        `snpName` - Snapshot name to be created.
      See Also:
        `(String)`

    - #### cancelSnapshot

          @MXBeanDescription(value="Cancel started cluster-wide snapshot on the node initiator.")
          void cancelSnapshot(@MXBeanParameter(name="snpName",description="Snapshot name.")
                                                                                                                      String snpName)

      Cancel previously started snapshot operation on the node initiator.
      Parameters:
        `snpName` - Snapshot name to cancel.

    - #### restoreSnapshot

          @MXBeanDescription(value="Restore cluster-wide snapshot.")
          void restoreSnapshot(@MXBeanParameter(name="snpName",description="Snapshot name.")
                                                                                          String name,
                                                                                          @MXBeanParameter(name="cacheGroupNames",description="Optional comma-separated list of cache group names.")
                                                                                          String cacheGroupNames)

      Restore cluster-wide snapshot.
      Parameters:
        `name` - Snapshot name.
        `cacheGroupNames` - Optional comma-separated list of cache group names.
      See Also:
        `IgniteSnapshot.restoreSnapshot(String, Collection)`

    - #### cancelSnapshotRestore

          @MXBeanDescription(value="Cancel previously started snapshot restore operation.")
          void cancelSnapshotRestore(@MXBeanParameter(name="snpName",description="Snapshot name.")
                                                                                                                       String name)

      Cancel previously started snapshot restore operation.
      Parameters:
        `name` - Snapshot name.
      See Also:
        `IgniteSnapshot.cancelSnapshotRestore(String)`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022